version: '3.7'
services:
  main:
    image: registry.verdnatura.es/salix-frontend:${BRANCH_NAME:?}
    build:
      context: .
      dockerfile: ./Dockerfile
    ports:
      - 4000
    deploy:
      replicas: ${FRONT_REPLICAS:?}
      placement:
        constraints:
          - node.role == worker
      resources:
        limits:
          memory: 1G
